﻿/// <reference path="libs/angular/angular.js" />
'use strict';


// Declare app level module which depends on filters, and services
var app = angular.module('mobilize', [
        'mobilize.filters',
        'mobilize.services',
        'mobilize.directives',
        'mobilize.controllers',
        'ngCookies',
        'ngSanitize',
        'ngMobile',
        'ui'
    ])
    .config(['$routeProvider',  '$locationProvider','$compileProvider', function ($routeProvider, $locationProvider, $compileProvider) {

            $routeProvider.when('/', { templateUrl: './app/partials/popup.html', controller: 'popup' });

        //$routeProvider.when('/:content', { templateUrl: '/app/partials/page.html', controller: 'page' });
            $routeProvider.when('/content/:content', { templateUrl: './app/partials/page.html', controller: 'page' });
            $routeProvider.when('/content/:content/poi/:id', { templateUrl: './app/partials/poi.html', controller: 'poi' });
            

            $routeProvider.otherwise({ redirectTo: '/' });

            $compileProvider.urlSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|tel|local):/);

			$locationProvider.html5Mode(false);
     }]);
